Delete Tags
/unified/ticketing/tags/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Collection with type project is required.
1 supported1 required
The unique identifier for a collection
1 supported
The unique identifier for a organization.
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
Color of the tag. In hex format.
The date the tag was created
The unique identifier for the specific version of the resource.
The unique identifier for a tag
1 supported
The name of the tag
The parent tag of this tag
The unique identifier for the tag
Raw data returned from the remote API call.
The status of the tag. If no clear mapping is available, then the raw value is returned.
activeinactive
The date the tag was last updated
The workspace the tag belongs to
The unique identifier for a workspace
The name of the workspace
curl -X DELETE 'https://api.truto.one/unified/ticketing/tags/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ticketing/tags/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/tags/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.delete(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.delete(
'ticketing',
'tags',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.delete(
"ticketing",
"tags",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())